#!/usr/bin/env python
# -*- coding: utf-8 -*-
#

import config
import logging
from function.rooms import room_shelly, room_shelly_tradfri_light

try:
    from config import APP_NAME as ROOT_LOGGER_NAME
except ImportError:
    ROOT_LOGGER_NAME = 'root'
logger = logging.getLogger(ROOT_LOGGER_NAME).getChild(__name__)


class first_floor_west_julian(room_shelly_tradfri_light):
    # http://shelly1l-3C6105E43452
    def __init__(self, mqtt_client):
        super().__init__(mqtt_client, config.TOPIC_FFW_JULIAN_MAIN_LIGHT_SHELLY, config.TOPIC_FFW_JULIAN_MAIN_LIGHT_GUI_SWITCH,
                         config.TOPIC_FFW_JULIAN_MAIN_LIGHT_ZIGBEE, config.TOPIC_FFW_JULIAN_MAIN_LIGHT_GUI_BR_CT)


class first_floor_west_living(room_shelly):
    # http://shelly1l-84CCA8ACE6A1
    def __init__(self, mqtt_client):
        super().__init__(mqtt_client, config.TOPIC_FFW_LIVINGROOM_MAIN_LIGHT_SHELLY, config.TOPIC_FFW_LIVINGROOM_MAIN_LIGHT_GUI_SWITCH)
